#target photoshop
//
// SpeechSquare.jsx
//

//
// Generated Tue Jun 10 2014 11:40:35 GMT+0400
//

cTID = function(s) { return app.charIDToTypeID(s); };
sTID = function(s) { return app.stringIDToTypeID(s); };

//
//==================== Speech Square ==============
//
function SpeechSquare() {
  // Make
  function step1(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putClass(sTID("contentLayer"));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    var desc3 = new ActionDescriptor();
    var desc4 = new ActionDescriptor();
    desc4.putDouble(cTID('Rd  '), 255);
    desc4.putDouble(cTID('Grn '), 255);
    desc4.putDouble(cTID('Bl  '), 255);
    desc3.putObject(cTID('Clr '), sTID("RGBColor"), desc4);
    desc2.putObject(cTID('Type'), sTID("solidColorLayer"), desc3);
    var desc5 = new ActionDescriptor();
    desc5.putString(cTID('Nm  '), "Talk 10");
    desc5.putUnitDouble(cTID('Top '), cTID('#Pxl'), 339);
    desc5.putUnitDouble(cTID('Left'), cTID('#Pxl'), 224);
    desc5.putUnitDouble(cTID('Btom'), cTID('#Pxl'), 979);
    desc5.putUnitDouble(cTID('Rght'), cTID('#Pxl'), 975);
    desc2.putObject(cTID('Shp '), sTID("customShape"), desc5);
    desc1.putObject(cTID('Usng'), sTID("contentLayer"), desc2);
    executeAction(cTID('Mk  '), desc1, dialogMode);
  };

  // Set
  function step2(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putProperty(cTID('Prpr'), cTID('Lefx'));
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Scl '), cTID('#Prc'), 416.666666666667);
    var desc3 = new ActionDescriptor();
    desc3.putBoolean(cTID('enab'), true);
    desc3.putEnumerated(cTID('Styl'), cTID('FStl'), cTID('OutF'));
    desc3.putEnumerated(cTID('PntT'), cTID('FrFl'), cTID('SClr'));
    desc3.putEnumerated(cTID('Md  '), cTID('BlnM'), cTID('Nrml'));
    desc3.putUnitDouble(cTID('Opct'), cTID('#Prc'), 100);
    desc3.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 6);
    var desc4 = new ActionDescriptor();
    desc4.putDouble(cTID('Rd  '), 0.25491042004433);
    desc4.putDouble(cTID('Grn '), 0.49151558952872);
    desc4.putDouble(cTID('Bl  '), 0.50261559546925);
    desc3.putObject(cTID('Clr '), sTID("RGBColor"), desc4);
    desc2.putObject(cTID('FrFX'), cTID('FrFX'), desc3);
    desc1.putObject(cTID('T   '), cTID('Lefx'), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Set
  function step3(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Nm  '), "Photobacks Bubble");
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Set
  function step4(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putProperty(cTID('Chnl'), sTID("selection"));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('T   '), cTID('Ordn'), cTID('Al  '));
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Align
  function step5(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('Usng'), cTID('ADSt'), sTID("ADSCentersH"));
    executeAction(cTID('Algn'), desc1, dialogMode);
  };

  // Align
  function step6(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('Usng'), cTID('ADSt'), sTID("ADSCentersV"));
    executeAction(cTID('Algn'), desc1, dialogMode);
  };

  // Set
  function step7(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putProperty(cTID('Chnl'), sTID("selection"));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('T   '), cTID('Ordn'), cTID('None'));
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Make
  function step8(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putClass(cTID('TxLr'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Txt '), "This is where\ryou can say\rsomething cool!");
    var desc3 = new ActionDescriptor();
    desc3.putEnumerated(sTID("warpStyle"), sTID("warpStyle"), sTID("warpNone"));
    desc3.putDouble(sTID("warpValue"), 0);
    desc3.putDouble(sTID("warpPerspective"), 0);
    desc3.putDouble(sTID("warpPerspectiveOther"), 0);
    desc3.putEnumerated(sTID("warpRotate"), cTID('Ornt'), cTID('Hrzn'));
    desc2.putObject(cTID('warp'), cTID('warp'), desc3);
    var desc4 = new ActionDescriptor();
    desc4.putUnitDouble(cTID('Hrzn'), cTID('#Prc'), 11.3525824429181);
    desc4.putUnitDouble(cTID('Vrtc'), cTID('#Prc'), 12.8935532233883);
    desc2.putObject(cTID('TxtC'), cTID('Pnt '), desc4);
    desc2.putEnumerated(sTID("textGridding"), sTID("textGridding"), cTID('None'));
    desc2.putEnumerated(cTID('Ornt'), cTID('Ornt'), cTID('Hrzn'));
    desc2.putEnumerated(cTID('AntA'), cTID('Annt'), cTID('AnSm'));
    var desc5 = new ActionDescriptor();
    desc5.putUnitDouble(cTID('Left'), cTID('#Pxl'), 0);
    desc5.putUnitDouble(cTID('Top '), cTID('#Pxl'), -6.59065246582031);
    desc5.putUnitDouble(cTID('Rght'), cTID('#Pxl'), 3013.82690429688);
    desc5.putUnitDouble(cTID('Btom'), cTID('#Pxl'), 1014.24053955078);
    desc2.putObject(sTID("bounds"), sTID("bounds"), desc5);
    var desc6 = new ActionDescriptor();
    desc6.putUnitDouble(cTID('Left'), cTID('#Pxl'), 1278.27124023438);
    desc6.putUnitDouble(cTID('Top '), cTID('#Pxl'), -1.43000793457031);
    desc6.putUnitDouble(cTID('Rght'), cTID('#Pxl'), 1733.09887695312);
    desc6.putUnitDouble(cTID('Btom'), cTID('#Pxl'), 224.56999206543);
    desc2.putObject(sTID("boundingBox"), sTID("boundingBox"), desc6);
    var list1 = new ActionList();
    var desc7 = new ActionDescriptor();
    desc7.putEnumerated(sTID("textType"), sTID("textType"), sTID("box"));
    desc7.putEnumerated(cTID('Ornt'), cTID('Ornt'), cTID('Hrzn'));
    var desc8 = new ActionDescriptor();
    desc8.putDouble(sTID("xx"), 1);
    desc8.putDouble(sTID("xy"), 0);
    desc8.putDouble(sTID("yx"), 0);
    desc8.putDouble(sTID("yy"), 1);
    desc8.putDouble(sTID("tx"), 0);
    desc8.putDouble(sTID("ty"), 0);
    desc7.putObject(cTID('Trnf'), cTID('Trnf'), desc8);
    desc7.putInteger(sTID("rowCount"), 1);
    desc7.putInteger(sTID("columnCount"), 1);
    desc7.putBoolean(sTID("rowMajorOrder"), true);
    desc7.putUnitDouble(sTID("rowGutter"), cTID('#Pxl'), 0);
    desc7.putUnitDouble(sTID("columnGutter"), cTID('#Pxl'), 0);
    desc7.putUnitDouble(cTID('Spcn'), cTID('#Pxl'), 0);
    desc7.putEnumerated(sTID("frameBaselineAlignment"), sTID("frameBaselineAlignment"), sTID("alignByAscent"));
    desc7.putUnitDouble(sTID("firstBaselineMinimum"), cTID('#Pxl'), 0);
    var desc9 = new ActionDescriptor();
    desc9.putDouble(cTID('Top '), 0);
    desc9.putDouble(cTID('Left'), 0);
    desc9.putDouble(cTID('Btom'), 243.417724609375);
    desc9.putDouble(cTID('Rght'), 723.318420410156);
    desc7.putObject(sTID("bounds"), cTID('Rctn'), desc9);
    list1.putObject(sTID("textShape"), desc7);
    desc2.putList(sTID("textShape"), list1);
    var list2 = new ActionList();
    var desc10 = new ActionDescriptor();
    desc10.putInteger(cTID('From'), 0);
    desc10.putInteger(cTID('T   '), 42);
    var desc11 = new ActionDescriptor();
    desc11.putBoolean(sTID("styleSheetHasParent"), true);
    desc11.putString(sTID("fontPostScriptName"), "ComicSansMS");
    desc11.putString(cTID('FntN'), "Comic Sans MS");
    desc11.putString(cTID('FntS'), "Regular");
    desc11.putInteger(cTID('Scrp'), 0);
    desc11.putInteger(cTID('FntT'), 1);
    desc11.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 65);
    desc11.putDouble(cTID('HrzS'), 100);
    desc11.putDouble(cTID('VrtS'), 100);
    desc11.putBoolean(sTID("syntheticBold"), false);
    desc11.putBoolean(sTID("syntheticItalic"), false);
    desc11.putBoolean(sTID("autoLeading"), true);
    desc11.putInteger(cTID('Trck'), 0);
    desc11.putUnitDouble(cTID('Bsln'), cTID('#Pxl'), 0);
    desc11.putEnumerated(cTID('AtKr'), cTID('AtKr'), sTID("metricsKern"));
    desc11.putEnumerated(sTID("fontCaps"), sTID("fontCaps"), cTID('Nrml'));
    desc11.putEnumerated(sTID("digitSet"), sTID("digitSet"), sTID("defaultDigits"));
    desc11.putEnumerated(sTID("kashidas"), sTID("kashidas"), sTID("kashidaDefault"));
    desc11.putUnitDouble(sTID("diacXOffset"), cTID('#Pxl'), 0);
    desc11.putUnitDouble(sTID("diacYOffset"), cTID('#Pxl'), 0);
    desc11.putUnitDouble(sTID("markYDistFromBaseline"), cTID('#Pxl'), 1.38240003585815);
    desc11.putEnumerated(sTID("baseline"), sTID("baseline"), cTID('Nrml'));
    desc11.putEnumerated(sTID("strikethrough"), sTID("strikethrough"), sTID("strikethroughOff"));
    desc11.putEnumerated(cTID('Undl'), cTID('Undl'), sTID("underlineOff"));
    desc11.putBoolean(sTID("ligature"), true);
    desc11.putBoolean(sTID("altligature"), false);
    desc11.putBoolean(sTID("contextualLigatures"), false);
    desc11.putBoolean(sTID("fractions"), false);
    desc11.putBoolean(sTID("ordinals"), false);
    desc11.putBoolean(sTID("swash"), false);
    desc11.putBoolean(sTID("titling"), false);
    desc11.putBoolean(sTID("connectionForms"), false);
    desc11.putBoolean(sTID("stylisticAlternates"), false);
    desc11.putBoolean(sTID("ornaments"), false);
    desc11.putBoolean(sTID("justificationAlternates"), false);
    desc11.putEnumerated(sTID("figureStyle"), sTID("figureStyle"), cTID('Nrml'));
    desc11.putBoolean(sTID("proportionalMetrics"), false);
    desc11.putBoolean(cTID('kana'), false);
    desc11.putBoolean(sTID("italics"), false);
    desc11.putEnumerated(sTID("baselineDirection"), sTID("baselineDirection"), sTID("withStream"));
    desc11.putEnumerated(sTID("textLanguage"), sTID("textLanguage"), sTID("englishLanguage"));
    desc11.putEnumerated(sTID("japaneseAlternate"), sTID("japaneseAlternate"), sTID("defaultForm"));
    desc11.putDouble(sTID("mojiZume"), 0);
    desc11.putEnumerated(sTID("gridAlignment"), sTID("gridAlignment"), sTID("roman"));
    desc11.putBoolean(sTID("noBreak"), false);
    var desc12 = new ActionDescriptor();
    desc12.putDouble(cTID('Rd  '), 0);
    desc12.putDouble(cTID('Grn '), 0);
    desc12.putDouble(cTID('Bl  '), 0);
    desc11.putObject(cTID('Clr '), sTID("RGBColor"), desc12);
    var desc13 = new ActionDescriptor();
    desc13.putDouble(cTID('Rd  '), 0);
    desc13.putDouble(cTID('Grn '), 0);
    desc13.putDouble(cTID('Bl  '), 0);
    desc11.putObject(sTID("strokeColor"), sTID("RGBColor"), desc13);
    var desc14 = new ActionDescriptor();
    desc14.putString(sTID("fontPostScriptName"), "MyriadPro-Regular");
    desc14.putString(cTID('FntN'), "Myriad Pro");
    desc14.putString(cTID('FntS'), "Regular");
    desc14.putInteger(cTID('Scrp'), 0);
    desc14.putInteger(cTID('FntT'), 0);
    desc14.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 12);
    desc14.putDouble(cTID('HrzS'), 100);
    desc14.putDouble(cTID('VrtS'), 100);
    desc14.putBoolean(sTID("syntheticBold"), false);
    desc14.putBoolean(sTID("syntheticItalic"), false);
    desc14.putBoolean(sTID("autoLeading"), true);
    desc14.putInteger(cTID('Trck'), 0);
    desc14.putUnitDouble(cTID('Bsln'), cTID('#Pxl'), 0);
    desc14.putDouble(sTID("characterRotation"), 0);
    desc14.putEnumerated(cTID('AtKr'), cTID('AtKr'), sTID("metricsKern"));
    desc14.putEnumerated(sTID("fontCaps"), sTID("fontCaps"), cTID('Nrml'));
    desc14.putEnumerated(sTID("digitSet"), sTID("digitSet"), sTID("defaultDigits"));
    desc14.putEnumerated(sTID("dirOverride"), sTID("dirOverride"), sTID("dirOverrideDefault"));
    desc14.putEnumerated(sTID("kashidas"), sTID("kashidas"), sTID("kashidaDefault"));
    desc14.putEnumerated(sTID("diacVPos"), sTID("diacVPos"), sTID("diacVPosOpenType"));
    desc14.putUnitDouble(sTID("diacXOffset"), cTID('#Pxl'), 0);
    desc14.putUnitDouble(sTID("diacYOffset"), cTID('#Pxl'), 0);
    desc14.putUnitDouble(sTID("markYDistFromBaseline"), cTID('#Pxl'), 100);
    desc14.putEnumerated(sTID("baseline"), sTID("baseline"), cTID('Nrml'));
    desc14.putEnumerated(sTID("otbaseline"), sTID("otbaseline"), cTID('Nrml'));
    desc14.putEnumerated(sTID("strikethrough"), sTID("strikethrough"), sTID("strikethroughOff"));
    desc14.putEnumerated(cTID('Undl'), cTID('Undl'), sTID("underlineOff"));
    desc14.putUnitDouble(sTID("underlineOffset"), cTID('#Pxl'), 0);
    desc14.putBoolean(sTID("ligature"), true);
    desc14.putBoolean(sTID("altligature"), false);
    desc14.putBoolean(sTID("contextualLigatures"), false);
    desc14.putBoolean(sTID("alternateLigatures"), false);
    desc14.putBoolean(sTID("oldStyle"), false);
    desc14.putBoolean(sTID("fractions"), false);
    desc14.putBoolean(sTID("ordinals"), false);
    desc14.putBoolean(sTID("swash"), false);
    desc14.putBoolean(sTID("titling"), false);
    desc14.putBoolean(sTID("connectionForms"), false);
    desc14.putBoolean(sTID("stylisticAlternates"), false);
    desc14.putBoolean(sTID("ornaments"), false);
    desc14.putBoolean(sTID("justificationAlternates"), false);
    desc14.putEnumerated(sTID("figureStyle"), sTID("figureStyle"), cTID('Nrml'));
    desc14.putBoolean(sTID("proportionalMetrics"), false);
    desc14.putBoolean(cTID('kana'), false);
    desc14.putBoolean(sTID("italics"), false);
    desc14.putBoolean(cTID('ruby'), false);
    desc14.putEnumerated(sTID("baselineDirection"), sTID("baselineDirection"), sTID("rotated"));
    desc14.putEnumerated(sTID("textLanguage"), sTID("textLanguage"), sTID("englishLanguage"));
    desc14.putEnumerated(sTID("japaneseAlternate"), sTID("japaneseAlternate"), sTID("defaultForm"));
    desc14.putDouble(sTID("mojiZume"), 0);
    desc14.putEnumerated(sTID("gridAlignment"), sTID("gridAlignment"), sTID("roman"));
    desc14.putBoolean(sTID("enableWariChu"), false);
    desc14.putInteger(sTID("wariChuCount"), 2);
    desc14.putInteger(sTID("wariChuLineGap"), 0);
    desc14.putDouble(sTID("wariChuScale"), 0.5);
    desc14.putInteger(sTID("wariChuWidow"), 2);
    desc14.putInteger(sTID("wariChuOrphan"), 2);
    desc14.putEnumerated(sTID("wariChuJustification"), sTID("wariChuJustification"), sTID("wariChuAutoJustify"));
    desc14.putInteger(sTID("tcyUpDown"), 0);
    desc14.putInteger(sTID("tcyLeftRight"), 0);
    desc14.putDouble(sTID("leftAki"), -1);
    desc14.putDouble(sTID("rightAki"), -1);
    desc14.putInteger(sTID("jiDori"), 0);
    desc14.putBoolean(sTID("noBreak"), false);
    var desc15 = new ActionDescriptor();
    desc15.putDouble(cTID('Rd  '), 0);
    desc15.putDouble(cTID('Grn '), 0);
    desc15.putDouble(cTID('Bl  '), 0);
    desc14.putObject(cTID('Clr '), sTID("RGBColor"), desc15);
    var desc16 = new ActionDescriptor();
    desc16.putDouble(cTID('Rd  '), 0);
    desc16.putDouble(cTID('Grn '), 0);
    desc16.putDouble(cTID('Bl  '), 0);
    desc14.putObject(sTID("strokeColor"), sTID("RGBColor"), desc16);
    desc14.putBoolean(cTID('Fl  '), true);
    desc14.putBoolean(cTID('Strk'), false);
    desc14.putBoolean(sTID("fillFirst"), true);
    desc14.putBoolean(sTID("fillOverPrint"), false);
    desc14.putBoolean(sTID("strokeOverPrint"), false);
    desc14.putEnumerated(sTID("lineCap"), sTID("lineCap"), sTID("buttCap"));
    desc14.putEnumerated(sTID("lineJoin"), sTID("lineJoin"), sTID("miterJoin"));
    desc14.putUnitDouble(sTID("lineWidth"), cTID('#Pxl'), 1);
    desc14.putUnitDouble(sTID("miterLimit"), cTID('#Pxl'), 4);
    desc14.putDouble(sTID("lineDashoffset"), 0);
    desc11.putObject(sTID("baseParentStyle"), cTID('TxtS'), desc14);
    desc10.putObject(cTID('TxtS'), cTID('TxtS'), desc11);
    list2.putObject(cTID('Txtt'), desc10);
    var desc17 = new ActionDescriptor();
    desc17.putInteger(cTID('From'), 0);
    desc17.putInteger(cTID('T   '), 42);
    var desc18 = new ActionDescriptor();
    desc18.putBoolean(sTID("styleSheetHasParent"), true);
    desc18.putString(sTID("fontPostScriptName"), "ComicSansMS");
    desc18.putString(cTID('FntN'), "Comic Sans MS");
    desc18.putString(cTID('FntS'), "Regular");
    desc18.putInteger(cTID('Scrp'), 0);
    desc18.putInteger(cTID('FntT'), 1);
    desc18.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 65);
    desc18.putDouble(cTID('HrzS'), 100);
    desc18.putDouble(cTID('VrtS'), 100);
    desc18.putBoolean(sTID("syntheticBold"), false);
    desc18.putBoolean(sTID("syntheticItalic"), false);
    desc18.putBoolean(sTID("autoLeading"), true);
    desc18.putInteger(cTID('Trck'), 0);
    desc18.putUnitDouble(cTID('Bsln'), cTID('#Pxl'), 0);
    desc18.putEnumerated(cTID('AtKr'), cTID('AtKr'), sTID("metricsKern"));
    desc18.putEnumerated(sTID("fontCaps"), sTID("fontCaps"), cTID('Nrml'));
    desc18.putEnumerated(sTID("digitSet"), sTID("digitSet"), sTID("defaultDigits"));
    desc18.putEnumerated(sTID("kashidas"), sTID("kashidas"), sTID("kashidaDefault"));
    desc18.putUnitDouble(sTID("diacXOffset"), cTID('#Pxl'), 0);
    desc18.putUnitDouble(sTID("diacYOffset"), cTID('#Pxl'), 0);
    desc18.putUnitDouble(sTID("markYDistFromBaseline"), cTID('#Pxl'), 1.38240003585815);
    desc18.putEnumerated(sTID("baseline"), sTID("baseline"), cTID('Nrml'));
    desc18.putEnumerated(sTID("strikethrough"), sTID("strikethrough"), sTID("strikethroughOff"));
    desc18.putEnumerated(cTID('Undl'), cTID('Undl'), sTID("underlineOff"));
    desc18.putBoolean(sTID("ligature"), true);
    desc18.putBoolean(sTID("altligature"), false);
    desc18.putBoolean(sTID("contextualLigatures"), false);
    desc18.putBoolean(sTID("fractions"), false);
    desc18.putBoolean(sTID("ordinals"), false);
    desc18.putBoolean(sTID("swash"), false);
    desc18.putBoolean(sTID("titling"), false);
    desc18.putBoolean(sTID("connectionForms"), false);
    desc18.putBoolean(sTID("stylisticAlternates"), false);
    desc18.putBoolean(sTID("ornaments"), false);
    desc18.putBoolean(sTID("justificationAlternates"), false);
    desc18.putEnumerated(sTID("figureStyle"), sTID("figureStyle"), cTID('Nrml'));
    desc18.putBoolean(sTID("proportionalMetrics"), false);
    desc18.putBoolean(cTID('kana'), false);
    desc18.putBoolean(sTID("italics"), false);
    desc18.putEnumerated(sTID("baselineDirection"), sTID("baselineDirection"), sTID("withStream"));
    desc18.putEnumerated(sTID("textLanguage"), sTID("textLanguage"), sTID("englishLanguage"));
    desc18.putEnumerated(sTID("japaneseAlternate"), sTID("japaneseAlternate"), sTID("defaultForm"));
    desc18.putDouble(sTID("mojiZume"), 0);
    desc18.putEnumerated(sTID("gridAlignment"), sTID("gridAlignment"), sTID("roman"));
    desc18.putBoolean(sTID("noBreak"), false);
    var desc19 = new ActionDescriptor();
    desc19.putDouble(cTID('Rd  '), 0);
    desc19.putDouble(cTID('Grn '), 0);
    desc19.putDouble(cTID('Bl  '), 0);
    desc18.putObject(cTID('Clr '), sTID("RGBColor"), desc19);
    var desc20 = new ActionDescriptor();
    desc20.putDouble(cTID('Rd  '), 0);
    desc20.putDouble(cTID('Grn '), 0);
    desc20.putDouble(cTID('Bl  '), 0);
    desc18.putObject(sTID("strokeColor"), sTID("RGBColor"), desc20);
    desc17.putObject(cTID('TxtS'), cTID('TxtS'), desc18);
    list2.putObject(cTID('Txtt'), desc17);
    var desc21 = new ActionDescriptor();
    desc21.putInteger(cTID('From'), 0);
    desc21.putInteger(cTID('T   '), 42);
    var desc22 = new ActionDescriptor();
    desc22.putBoolean(sTID("styleSheetHasParent"), true);
    desc22.putString(sTID("fontPostScriptName"), "ComicSansMS");
    desc22.putString(cTID('FntN'), "Comic Sans MS");
    desc22.putString(cTID('FntS'), "Regular");
    desc22.putInteger(cTID('Scrp'), 0);
    desc22.putInteger(cTID('FntT'), 1);
    desc22.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 65);
    desc22.putDouble(cTID('HrzS'), 100);
    desc22.putDouble(cTID('VrtS'), 100);
    desc22.putBoolean(sTID("syntheticBold"), false);
    desc22.putBoolean(sTID("syntheticItalic"), false);
    desc22.putBoolean(sTID("autoLeading"), true);
    desc22.putInteger(cTID('Trck'), 0);
    desc22.putUnitDouble(cTID('Bsln'), cTID('#Pxl'), 0);
    desc22.putEnumerated(cTID('AtKr'), cTID('AtKr'), sTID("metricsKern"));
    desc22.putEnumerated(sTID("fontCaps"), sTID("fontCaps"), cTID('Nrml'));
    desc22.putEnumerated(sTID("digitSet"), sTID("digitSet"), sTID("defaultDigits"));
    desc22.putEnumerated(sTID("kashidas"), sTID("kashidas"), sTID("kashidaDefault"));
    desc22.putUnitDouble(sTID("diacXOffset"), cTID('#Pxl'), 0);
    desc22.putUnitDouble(sTID("diacYOffset"), cTID('#Pxl'), 0);
    desc22.putUnitDouble(sTID("markYDistFromBaseline"), cTID('#Pxl'), 1.38240003585815);
    desc22.putEnumerated(sTID("baseline"), sTID("baseline"), cTID('Nrml'));
    desc22.putEnumerated(sTID("strikethrough"), sTID("strikethrough"), sTID("strikethroughOff"));
    desc22.putEnumerated(cTID('Undl'), cTID('Undl'), sTID("underlineOff"));
    desc22.putBoolean(sTID("ligature"), true);
    desc22.putBoolean(sTID("altligature"), false);
    desc22.putBoolean(sTID("contextualLigatures"), false);
    desc22.putBoolean(sTID("fractions"), false);
    desc22.putBoolean(sTID("ordinals"), false);
    desc22.putBoolean(sTID("swash"), false);
    desc22.putBoolean(sTID("titling"), false);
    desc22.putBoolean(sTID("connectionForms"), false);
    desc22.putBoolean(sTID("stylisticAlternates"), false);
    desc22.putBoolean(sTID("ornaments"), false);
    desc22.putBoolean(sTID("justificationAlternates"), false);
    desc22.putEnumerated(sTID("figureStyle"), sTID("figureStyle"), cTID('Nrml'));
    desc22.putBoolean(sTID("proportionalMetrics"), false);
    desc22.putBoolean(cTID('kana'), false);
    desc22.putBoolean(sTID("italics"), false);
    desc22.putEnumerated(sTID("baselineDirection"), sTID("baselineDirection"), sTID("withStream"));
    desc22.putEnumerated(sTID("textLanguage"), sTID("textLanguage"), sTID("englishLanguage"));
    desc22.putEnumerated(sTID("japaneseAlternate"), sTID("japaneseAlternate"), sTID("defaultForm"));
    desc22.putDouble(sTID("mojiZume"), 0);
    desc22.putEnumerated(sTID("gridAlignment"), sTID("gridAlignment"), sTID("roman"));
    desc22.putBoolean(sTID("noBreak"), false);
    var desc23 = new ActionDescriptor();
    desc23.putDouble(cTID('Rd  '), 0);
    desc23.putDouble(cTID('Grn '), 0);
    desc23.putDouble(cTID('Bl  '), 0);
    desc22.putObject(cTID('Clr '), sTID("RGBColor"), desc23);
    var desc24 = new ActionDescriptor();
    desc24.putDouble(cTID('Rd  '), 0);
    desc24.putDouble(cTID('Grn '), 0);
    desc24.putDouble(cTID('Bl  '), 0);
    desc22.putObject(sTID("strokeColor"), sTID("RGBColor"), desc24);
    desc21.putObject(cTID('TxtS'), cTID('TxtS'), desc22);
    list2.putObject(cTID('Txtt'), desc21);
    desc2.putList(cTID('Txtt'), list2);
    var list3 = new ActionList();
    var desc25 = new ActionDescriptor();
    desc25.putInteger(cTID('From'), 0);
    desc25.putInteger(cTID('T   '), 14);
    var desc26 = new ActionDescriptor();
    desc26.putBoolean(sTID("styleSheetHasParent"), true);
    desc26.putEnumerated(cTID('Algn'), cTID('Alg '), cTID('Cntr'));
    desc26.putUnitDouble(sTID("firstLineIndent"), cTID('#Pxl'), 0);
    desc26.putUnitDouble(sTID("startIndent"), cTID('#Pxl'), 0);
    desc26.putUnitDouble(sTID("endIndent"), cTID('#Pxl'), 0);
    desc26.putUnitDouble(sTID("spaceBefore"), cTID('#Pxl'), 0);
    desc26.putUnitDouble(sTID("spaceAfter"), cTID('#Pxl'), 0);
    desc26.putDouble(sTID("autoLeadingPercentage"), 1.20000004768372);
    desc26.putEnumerated(sTID("leadingType"), sTID("leadingType"), sTID("leadingBelow"));
    desc26.putEnumerated(sTID("directionType"), sTID("directionType"), sTID("dirLeftToRight"));
    desc26.putEnumerated(sTID("kashidaWidthType"), sTID("kashidaWidthType"), sTID("kashidaWidthMedium"));
    desc26.putBoolean(sTID("hyphenate"), false);
    desc26.putDouble(sTID("justificationWordMinimum"), 0.80000001192093);
    desc26.putDouble(sTID("justificationWordDesired"), 1);
    desc26.putDouble(sTID("justificationWordMaximum"), 1.33000004291534);
    desc26.putDouble(sTID("justificationLetterMinimum"), 0);
    desc26.putDouble(sTID("justificationLetterDesired"), 0);
    desc26.putDouble(sTID("justificationLetterMaximum"), 0);
    desc26.putDouble(sTID("justificationGlyphMinimum"), 1);
    desc26.putDouble(sTID("justificationGlyphDesired"), 1);
    desc26.putDouble(sTID("justificationGlyphMaximum"), 1);
    desc26.putBoolean(sTID("hangingRoman"), false);
    desc26.putEnumerated(sTID("burasagari"), sTID("burasagari"), sTID("burasagariStandard"));
    desc26.putEnumerated(sTID("preferredKinsokuOrder"), sTID("preferredKinsokuOrder"), sTID("pushIn"));
    desc26.putBoolean(sTID("textEveryLineComposer"), false);
    desc26.putEnumerated(sTID("textComposerEngine"), sTID("textComposerEngine"), sTID("textLatinCJKComposer"));
    desc25.putObject(sTID("paragraphStyle"), sTID("paragraphStyle"), desc26);
    list3.putObject(sTID("paragraphStyleRange"), desc25);
    var desc27 = new ActionDescriptor();
    desc27.putInteger(cTID('From'), 14);
    desc27.putInteger(cTID('T   '), 26);
    var desc28 = new ActionDescriptor();
    desc28.putBoolean(sTID("styleSheetHasParent"), true);
    desc28.putEnumerated(cTID('Algn'), cTID('Alg '), cTID('Cntr'));
    desc28.putUnitDouble(sTID("firstLineIndent"), cTID('#Pxl'), 0);
    desc28.putUnitDouble(sTID("startIndent"), cTID('#Pxl'), 0);
    desc28.putUnitDouble(sTID("endIndent"), cTID('#Pxl'), 0);
    desc28.putUnitDouble(sTID("spaceBefore"), cTID('#Pxl'), 0);
    desc28.putUnitDouble(sTID("spaceAfter"), cTID('#Pxl'), 0);
    desc28.putDouble(sTID("autoLeadingPercentage"), 1.20000004768372);
    desc28.putEnumerated(sTID("leadingType"), sTID("leadingType"), sTID("leadingBelow"));
    desc28.putEnumerated(sTID("directionType"), sTID("directionType"), sTID("dirLeftToRight"));
    desc28.putEnumerated(sTID("kashidaWidthType"), sTID("kashidaWidthType"), sTID("kashidaWidthMedium"));
    desc28.putBoolean(sTID("hyphenate"), false);
    desc28.putDouble(sTID("justificationWordMinimum"), 0.80000001192093);
    desc28.putDouble(sTID("justificationWordDesired"), 1);
    desc28.putDouble(sTID("justificationWordMaximum"), 1.33000004291534);
    desc28.putDouble(sTID("justificationLetterMinimum"), 0);
    desc28.putDouble(sTID("justificationLetterDesired"), 0);
    desc28.putDouble(sTID("justificationLetterMaximum"), 0);
    desc28.putDouble(sTID("justificationGlyphMinimum"), 1);
    desc28.putDouble(sTID("justificationGlyphDesired"), 1);
    desc28.putDouble(sTID("justificationGlyphMaximum"), 1);
    desc28.putBoolean(sTID("hangingRoman"), false);
    desc28.putEnumerated(sTID("burasagari"), sTID("burasagari"), sTID("burasagariStandard"));
    desc28.putEnumerated(sTID("preferredKinsokuOrder"), sTID("preferredKinsokuOrder"), sTID("pushIn"));
    desc28.putBoolean(sTID("textEveryLineComposer"), false);
    desc28.putEnumerated(sTID("textComposerEngine"), sTID("textComposerEngine"), sTID("textLatinCJKComposer"));
    desc27.putObject(sTID("paragraphStyle"), sTID("paragraphStyle"), desc28);
    list3.putObject(sTID("paragraphStyleRange"), desc27);
    var desc29 = new ActionDescriptor();
    desc29.putInteger(cTID('From'), 26);
    desc29.putInteger(cTID('T   '), 42);
    var desc30 = new ActionDescriptor();
    desc30.putBoolean(sTID("styleSheetHasParent"), true);
    desc30.putEnumerated(cTID('Algn'), cTID('Alg '), cTID('Cntr'));
    desc30.putUnitDouble(sTID("firstLineIndent"), cTID('#Pxl'), 0);
    desc30.putUnitDouble(sTID("startIndent"), cTID('#Pxl'), 0);
    desc30.putUnitDouble(sTID("endIndent"), cTID('#Pxl'), 0);
    desc30.putUnitDouble(sTID("spaceBefore"), cTID('#Pxl'), 0);
    desc30.putUnitDouble(sTID("spaceAfter"), cTID('#Pxl'), 0);
    desc30.putDouble(sTID("autoLeadingPercentage"), 1.20000004768372);
    desc30.putEnumerated(sTID("leadingType"), sTID("leadingType"), sTID("leadingBelow"));
    desc30.putEnumerated(sTID("directionType"), sTID("directionType"), sTID("dirLeftToRight"));
    desc30.putEnumerated(sTID("kashidaWidthType"), sTID("kashidaWidthType"), sTID("kashidaWidthMedium"));
    desc30.putBoolean(sTID("hyphenate"), false);
    desc30.putDouble(sTID("justificationWordMinimum"), 0.80000001192093);
    desc30.putDouble(sTID("justificationWordDesired"), 1);
    desc30.putDouble(sTID("justificationWordMaximum"), 1.33000004291534);
    desc30.putDouble(sTID("justificationLetterMinimum"), 0);
    desc30.putDouble(sTID("justificationLetterDesired"), 0);
    desc30.putDouble(sTID("justificationLetterMaximum"), 0);
    desc30.putDouble(sTID("justificationGlyphMinimum"), 1);
    desc30.putDouble(sTID("justificationGlyphDesired"), 1);
    desc30.putDouble(sTID("justificationGlyphMaximum"), 1);
    desc30.putBoolean(sTID("hangingRoman"), false);
    desc30.putEnumerated(sTID("burasagari"), sTID("burasagari"), sTID("burasagariStandard"));
    desc30.putEnumerated(sTID("preferredKinsokuOrder"), sTID("preferredKinsokuOrder"), sTID("pushIn"));
    desc30.putBoolean(sTID("textEveryLineComposer"), false);
    desc30.putEnumerated(sTID("textComposerEngine"), sTID("textComposerEngine"), sTID("textLatinCJKComposer"));
    desc29.putObject(sTID("paragraphStyle"), sTID("paragraphStyle"), desc30);
    list3.putObject(sTID("paragraphStyleRange"), desc29);
    desc2.putList(sTID("paragraphStyleRange"), list3);
    var list4 = new ActionList();
    desc2.putList(sTID("kerningRange"), list4);
    desc1.putObject(cTID('Usng'), cTID('TxLr'), desc2);
    executeAction(cTID('Mk  '), desc1, dialogMode);
  };

  // Select
  function step9(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "Photobacks Bubble");
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(sTID("selectionModifier"), sTID("selectionModifierType"), sTID("addToSelectionContinuous"));
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Set
  function step10(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putProperty(cTID('Chnl'), sTID("selection"));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('T   '), cTID('Ordn'), cTID('Al  '));
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Align
  function step11(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('Usng'), cTID('ADSt'), sTID("ADSCentersH"));
    executeAction(cTID('Algn'), desc1, dialogMode);
  };

  // Select
  function step12(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "This is where you can say something cool!");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Set
  function step13(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putProperty(cTID('Chnl'), sTID("selection"));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('T   '), cTID('Ordn'), cTID('None'));
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Select
  function step14(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "Photobacks Bubble");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Select
  function step15(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "This is where you can say something cool!");
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(sTID("selectionModifier"), sTID("selectionModifierType"), sTID("addToSelectionContinuous"));
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Align
  function step16(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('Usng'), cTID('ADSt'), sTID("ADSTops"));
    executeAction(cTID('Algn'), desc1, dialogMode);
  };

  // Select
  function step17(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "This is where you can say something cool!");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move
  function step18(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Pxl'), 0);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Pxl'), 140);
    desc1.putObject(cTID('T   '), cTID('Ofst'), desc2);
    executeAction(cTID('move'), desc1, dialogMode);
  };

  // Set
  function step19(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('TxLr'), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Txt '), "Here is where you\rcan write what\rsomeone is saying!");
    var desc3 = new ActionDescriptor();
    desc3.putEnumerated(sTID("warpStyle"), sTID("warpStyle"), sTID("warpNone"));
    desc3.putDouble(sTID("warpValue"), 0);
    desc3.putDouble(sTID("warpPerspective"), 0);
    desc3.putDouble(sTID("warpPerspectiveOther"), 0);
    desc3.putEnumerated(sTID("warpRotate"), cTID('Ornt'), cTID('Hrzn'));
    desc2.putObject(cTID('warp'), cTID('warp'), desc3);
    desc2.putEnumerated(sTID("textGridding"), sTID("textGridding"), cTID('None'));
    desc2.putEnumerated(cTID('Ornt'), cTID('Ornt'), cTID('Hrzn'));
    desc2.putEnumerated(cTID('AntA'), cTID('Annt'), cTID('AnSm'));
    var desc4 = new ActionDescriptor();
    desc4.putUnitDouble(cTID('Left'), cTID('#Pxl'), 0);
    desc4.putUnitDouble(cTID('Top '), cTID('#Pxl'), -6.59065246582031);
    desc4.putUnitDouble(cTID('Rght'), cTID('#Pxl'), 3013.82690429688);
    desc4.putUnitDouble(cTID('Btom'), cTID('#Pxl'), 1014.24053955078);
    desc2.putObject(sTID("bounds"), sTID("bounds"), desc4);
    var desc5 = new ActionDescriptor();
    desc5.putUnitDouble(cTID('Left'), cTID('#Pxl'), 1236.21801757812);
    desc5.putUnitDouble(cTID('Top '), cTID('#Pxl'), -1.43000793457031);
    desc5.putUnitDouble(cTID('Rght'), cTID('#Pxl'), 1777.50561523438);
    desc5.putUnitDouble(cTID('Btom'), cTID('#Pxl'), 224.56999206543);
    desc2.putObject(sTID("boundingBox"), sTID("boundingBox"), desc5);
    var list1 = new ActionList();
    var desc6 = new ActionDescriptor();
    desc6.putEnumerated(sTID("textType"), sTID("textType"), sTID("box"));
    desc6.putEnumerated(cTID('Ornt'), cTID('Ornt'), cTID('Hrzn'));
    var desc7 = new ActionDescriptor();
    desc7.putDouble(sTID("xx"), 1);
    desc7.putDouble(sTID("xy"), 0);
    desc7.putDouble(sTID("yx"), 0);
    desc7.putDouble(sTID("yy"), 1);
    desc7.putDouble(sTID("tx"), 0);
    desc7.putDouble(sTID("ty"), 0);
    desc6.putObject(cTID('Trnf'), cTID('Trnf'), desc7);
    desc6.putInteger(sTID("rowCount"), 1);
    desc6.putInteger(sTID("columnCount"), 1);
    desc6.putBoolean(sTID("rowMajorOrder"), true);
    desc6.putUnitDouble(sTID("rowGutter"), cTID('#Pxl'), 0);
    desc6.putUnitDouble(sTID("columnGutter"), cTID('#Pxl'), 0);
    desc6.putUnitDouble(cTID('Spcn'), cTID('#Pxl'), 0);
    desc6.putEnumerated(sTID("frameBaselineAlignment"), sTID("frameBaselineAlignment"), sTID("alignByAscent"));
    desc6.putUnitDouble(sTID("firstBaselineMinimum"), cTID('#Pxl'), 0);
    var desc8 = new ActionDescriptor();
    desc8.putDouble(cTID('Top '), 0);
    desc8.putDouble(cTID('Left'), 0);
    desc8.putDouble(cTID('Btom'), 243.417724609375);
    desc8.putDouble(cTID('Rght'), 723.318420410156);
    desc6.putObject(sTID("bounds"), cTID('Rctn'), desc8);
    list1.putObject(sTID("textShape"), desc6);
    desc2.putList(sTID("textShape"), list1);
    var list2 = new ActionList();
    var desc9 = new ActionDescriptor();
    desc9.putInteger(cTID('From'), 0);
    desc9.putInteger(cTID('T   '), 52);
    var desc10 = new ActionDescriptor();
    desc10.putBoolean(sTID("styleSheetHasParent"), true);
    desc10.putString(sTID("fontPostScriptName"), "ComicSansMS");
    desc10.putString(cTID('FntN'), "Comic Sans MS");
    desc10.putString(cTID('FntS'), "Regular");
    desc10.putInteger(cTID('Scrp'), 0);
    desc10.putInteger(cTID('FntT'), 1);
    desc10.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 65);
    desc10.putDouble(cTID('HrzS'), 100);
    desc10.putDouble(cTID('VrtS'), 100);
    desc10.putBoolean(sTID("syntheticBold"), false);
    desc10.putBoolean(sTID("syntheticItalic"), false);
    desc10.putBoolean(sTID("autoLeading"), true);
    desc10.putInteger(cTID('Trck'), 0);
    desc10.putUnitDouble(cTID('Bsln'), cTID('#Pxl'), 0);
    desc10.putEnumerated(cTID('AtKr'), cTID('AtKr'), sTID("metricsKern"));
    desc10.putEnumerated(sTID("fontCaps"), sTID("fontCaps"), cTID('Nrml'));
    desc10.putEnumerated(sTID("digitSet"), sTID("digitSet"), sTID("defaultDigits"));
    desc10.putEnumerated(sTID("kashidas"), sTID("kashidas"), sTID("kashidaDefault"));
    desc10.putUnitDouble(sTID("diacXOffset"), cTID('#Pxl'), 0);
    desc10.putUnitDouble(sTID("diacYOffset"), cTID('#Pxl'), 0);
    desc10.putUnitDouble(sTID("markYDistFromBaseline"), cTID('#Pxl'), 1.38240003585815);
    desc10.putEnumerated(sTID("baseline"), sTID("baseline"), cTID('Nrml'));
    desc10.putEnumerated(sTID("strikethrough"), sTID("strikethrough"), sTID("strikethroughOff"));
    desc10.putEnumerated(cTID('Undl'), cTID('Undl'), sTID("underlineOff"));
    desc10.putBoolean(sTID("ligature"), true);
    desc10.putBoolean(sTID("altligature"), false);
    desc10.putBoolean(sTID("contextualLigatures"), false);
    desc10.putBoolean(sTID("fractions"), false);
    desc10.putBoolean(sTID("ordinals"), false);
    desc10.putBoolean(sTID("swash"), false);
    desc10.putBoolean(sTID("titling"), false);
    desc10.putBoolean(sTID("connectionForms"), false);
    desc10.putBoolean(sTID("stylisticAlternates"), false);
    desc10.putBoolean(sTID("ornaments"), false);
    desc10.putBoolean(sTID("justificationAlternates"), false);
    desc10.putEnumerated(sTID("figureStyle"), sTID("figureStyle"), cTID('Nrml'));
    desc10.putBoolean(sTID("proportionalMetrics"), false);
    desc10.putBoolean(cTID('kana'), false);
    desc10.putBoolean(sTID("italics"), false);
    desc10.putEnumerated(sTID("baselineDirection"), sTID("baselineDirection"), sTID("withStream"));
    desc10.putEnumerated(sTID("textLanguage"), sTID("textLanguage"), sTID("englishLanguage"));
    desc10.putEnumerated(sTID("japaneseAlternate"), sTID("japaneseAlternate"), sTID("defaultForm"));
    desc10.putDouble(sTID("mojiZume"), 0);
    desc10.putEnumerated(sTID("gridAlignment"), sTID("gridAlignment"), sTID("roman"));
    desc10.putBoolean(sTID("noBreak"), false);
    var desc11 = new ActionDescriptor();
    desc11.putDouble(cTID('Rd  '), 0);
    desc11.putDouble(cTID('Grn '), 0);
    desc11.putDouble(cTID('Bl  '), 0);
    desc10.putObject(cTID('Clr '), sTID("RGBColor"), desc11);
    var desc12 = new ActionDescriptor();
    desc12.putDouble(cTID('Rd  '), 0);
    desc12.putDouble(cTID('Grn '), 0);
    desc12.putDouble(cTID('Bl  '), 0);
    desc10.putObject(sTID("strokeColor"), sTID("RGBColor"), desc12);
    var desc13 = new ActionDescriptor();
    desc13.putString(sTID("fontPostScriptName"), "MyriadPro-Regular");
    desc13.putString(cTID('FntN'), "Myriad Pro");
    desc13.putString(cTID('FntS'), "Regular");
    desc13.putInteger(cTID('Scrp'), 0);
    desc13.putInteger(cTID('FntT'), 0);
    desc13.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 12);
    desc13.putDouble(cTID('HrzS'), 100);
    desc13.putDouble(cTID('VrtS'), 100);
    desc13.putBoolean(sTID("syntheticBold"), false);
    desc13.putBoolean(sTID("syntheticItalic"), false);
    desc13.putBoolean(sTID("autoLeading"), true);
    desc13.putInteger(cTID('Trck'), 0);
    desc13.putUnitDouble(cTID('Bsln'), cTID('#Pxl'), 0);
    desc13.putDouble(sTID("characterRotation"), 0);
    desc13.putEnumerated(cTID('AtKr'), cTID('AtKr'), sTID("metricsKern"));
    desc13.putEnumerated(sTID("fontCaps"), sTID("fontCaps"), cTID('Nrml'));
    desc13.putEnumerated(sTID("digitSet"), sTID("digitSet"), sTID("defaultDigits"));
    desc13.putEnumerated(sTID("dirOverride"), sTID("dirOverride"), sTID("dirOverrideDefault"));
    desc13.putEnumerated(sTID("kashidas"), sTID("kashidas"), sTID("kashidaDefault"));
    desc13.putEnumerated(sTID("diacVPos"), sTID("diacVPos"), sTID("diacVPosOpenType"));
    desc13.putUnitDouble(sTID("diacXOffset"), cTID('#Pxl'), 0);
    desc13.putUnitDouble(sTID("diacYOffset"), cTID('#Pxl'), 0);
    desc13.putUnitDouble(sTID("markYDistFromBaseline"), cTID('#Pxl'), 100);
    desc13.putEnumerated(sTID("baseline"), sTID("baseline"), cTID('Nrml'));
    desc13.putEnumerated(sTID("otbaseline"), sTID("otbaseline"), cTID('Nrml'));
    desc13.putEnumerated(sTID("strikethrough"), sTID("strikethrough"), sTID("strikethroughOff"));
    desc13.putEnumerated(cTID('Undl'), cTID('Undl'), sTID("underlineOff"));
    desc13.putUnitDouble(sTID("underlineOffset"), cTID('#Pxl'), 0);
    desc13.putBoolean(sTID("ligature"), true);
    desc13.putBoolean(sTID("altligature"), false);
    desc13.putBoolean(sTID("contextualLigatures"), false);
    desc13.putBoolean(sTID("alternateLigatures"), false);
    desc13.putBoolean(sTID("oldStyle"), false);
    desc13.putBoolean(sTID("fractions"), false);
    desc13.putBoolean(sTID("ordinals"), false);
    desc13.putBoolean(sTID("swash"), false);
    desc13.putBoolean(sTID("titling"), false);
    desc13.putBoolean(sTID("connectionForms"), false);
    desc13.putBoolean(sTID("stylisticAlternates"), false);
    desc13.putBoolean(sTID("ornaments"), false);
    desc13.putBoolean(sTID("justificationAlternates"), false);
    desc13.putEnumerated(sTID("figureStyle"), sTID("figureStyle"), cTID('Nrml'));
    desc13.putBoolean(sTID("proportionalMetrics"), false);
    desc13.putBoolean(cTID('kana'), false);
    desc13.putBoolean(sTID("italics"), false);
    desc13.putBoolean(cTID('ruby'), false);
    desc13.putEnumerated(sTID("baselineDirection"), sTID("baselineDirection"), sTID("rotated"));
    desc13.putEnumerated(sTID("textLanguage"), sTID("textLanguage"), sTID("englishLanguage"));
    desc13.putEnumerated(sTID("japaneseAlternate"), sTID("japaneseAlternate"), sTID("defaultForm"));
    desc13.putDouble(sTID("mojiZume"), 0);
    desc13.putEnumerated(sTID("gridAlignment"), sTID("gridAlignment"), sTID("roman"));
    desc13.putBoolean(sTID("enableWariChu"), false);
    desc13.putInteger(sTID("wariChuCount"), 2);
    desc13.putInteger(sTID("wariChuLineGap"), 0);
    desc13.putDouble(sTID("wariChuScale"), 0.5);
    desc13.putInteger(sTID("wariChuWidow"), 2);
    desc13.putInteger(sTID("wariChuOrphan"), 2);
    desc13.putEnumerated(sTID("wariChuJustification"), sTID("wariChuJustification"), sTID("wariChuAutoJustify"));
    desc13.putInteger(sTID("tcyUpDown"), 0);
    desc13.putInteger(sTID("tcyLeftRight"), 0);
    desc13.putDouble(sTID("leftAki"), -1);
    desc13.putDouble(sTID("rightAki"), -1);
    desc13.putInteger(sTID("jiDori"), 0);
    desc13.putBoolean(sTID("noBreak"), false);
    var desc14 = new ActionDescriptor();
    desc14.putDouble(cTID('Rd  '), 0);
    desc14.putDouble(cTID('Grn '), 0);
    desc14.putDouble(cTID('Bl  '), 0);
    desc13.putObject(cTID('Clr '), sTID("RGBColor"), desc14);
    var desc15 = new ActionDescriptor();
    desc15.putDouble(cTID('Rd  '), 0);
    desc15.putDouble(cTID('Grn '), 0);
    desc15.putDouble(cTID('Bl  '), 0);
    desc13.putObject(sTID("strokeColor"), sTID("RGBColor"), desc15);
    desc13.putBoolean(cTID('Fl  '), true);
    desc13.putBoolean(cTID('Strk'), false);
    desc13.putBoolean(sTID("fillFirst"), true);
    desc13.putBoolean(sTID("fillOverPrint"), false);
    desc13.putBoolean(sTID("strokeOverPrint"), false);
    desc13.putEnumerated(sTID("lineCap"), sTID("lineCap"), sTID("buttCap"));
    desc13.putEnumerated(sTID("lineJoin"), sTID("lineJoin"), sTID("miterJoin"));
    desc13.putUnitDouble(sTID("lineWidth"), cTID('#Pxl'), 1);
    desc13.putUnitDouble(sTID("miterLimit"), cTID('#Pxl'), 4);
    desc13.putDouble(sTID("lineDashoffset"), 0);
    desc10.putObject(sTID("baseParentStyle"), cTID('TxtS'), desc13);
    desc9.putObject(cTID('TxtS'), cTID('TxtS'), desc10);
    list2.putObject(cTID('Txtt'), desc9);
    var desc16 = new ActionDescriptor();
    desc16.putInteger(cTID('From'), 0);
    desc16.putInteger(cTID('T   '), 52);
    var desc17 = new ActionDescriptor();
    desc17.putBoolean(sTID("styleSheetHasParent"), true);
    desc17.putString(sTID("fontPostScriptName"), "ComicSansMS");
    desc17.putString(cTID('FntN'), "Comic Sans MS");
    desc17.putString(cTID('FntS'), "Regular");
    desc17.putInteger(cTID('Scrp'), 0);
    desc17.putInteger(cTID('FntT'), 1);
    desc17.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 65);
    desc17.putDouble(cTID('HrzS'), 100);
    desc17.putDouble(cTID('VrtS'), 100);
    desc17.putBoolean(sTID("syntheticBold"), false);
    desc17.putBoolean(sTID("syntheticItalic"), false);
    desc17.putBoolean(sTID("autoLeading"), true);
    desc17.putInteger(cTID('Trck'), 0);
    desc17.putUnitDouble(cTID('Bsln'), cTID('#Pxl'), 0);
    desc17.putEnumerated(cTID('AtKr'), cTID('AtKr'), sTID("metricsKern"));
    desc17.putEnumerated(sTID("fontCaps"), sTID("fontCaps"), cTID('Nrml'));
    desc17.putEnumerated(sTID("digitSet"), sTID("digitSet"), sTID("defaultDigits"));
    desc17.putEnumerated(sTID("kashidas"), sTID("kashidas"), sTID("kashidaDefault"));
    desc17.putUnitDouble(sTID("diacXOffset"), cTID('#Pxl'), 0);
    desc17.putUnitDouble(sTID("diacYOffset"), cTID('#Pxl'), 0);
    desc17.putUnitDouble(sTID("markYDistFromBaseline"), cTID('#Pxl'), 1.38240003585815);
    desc17.putEnumerated(sTID("baseline"), sTID("baseline"), cTID('Nrml'));
    desc17.putEnumerated(sTID("strikethrough"), sTID("strikethrough"), sTID("strikethroughOff"));
    desc17.putEnumerated(cTID('Undl'), cTID('Undl'), sTID("underlineOff"));
    desc17.putBoolean(sTID("ligature"), true);
    desc17.putBoolean(sTID("altligature"), false);
    desc17.putBoolean(sTID("contextualLigatures"), false);
    desc17.putBoolean(sTID("fractions"), false);
    desc17.putBoolean(sTID("ordinals"), false);
    desc17.putBoolean(sTID("swash"), false);
    desc17.putBoolean(sTID("titling"), false);
    desc17.putBoolean(sTID("connectionForms"), false);
    desc17.putBoolean(sTID("stylisticAlternates"), false);
    desc17.putBoolean(sTID("ornaments"), false);
    desc17.putBoolean(sTID("justificationAlternates"), false);
    desc17.putEnumerated(sTID("figureStyle"), sTID("figureStyle"), cTID('Nrml'));
    desc17.putBoolean(sTID("proportionalMetrics"), false);
    desc17.putBoolean(cTID('kana'), false);
    desc17.putBoolean(sTID("italics"), false);
    desc17.putEnumerated(sTID("baselineDirection"), sTID("baselineDirection"), sTID("withStream"));
    desc17.putEnumerated(sTID("textLanguage"), sTID("textLanguage"), sTID("englishLanguage"));
    desc17.putEnumerated(sTID("japaneseAlternate"), sTID("japaneseAlternate"), sTID("defaultForm"));
    desc17.putDouble(sTID("mojiZume"), 0);
    desc17.putEnumerated(sTID("gridAlignment"), sTID("gridAlignment"), sTID("roman"));
    desc17.putBoolean(sTID("noBreak"), false);
    var desc18 = new ActionDescriptor();
    desc18.putDouble(cTID('Rd  '), 0);
    desc18.putDouble(cTID('Grn '), 0);
    desc18.putDouble(cTID('Bl  '), 0);
    desc17.putObject(cTID('Clr '), sTID("RGBColor"), desc18);
    var desc19 = new ActionDescriptor();
    desc19.putDouble(cTID('Rd  '), 0);
    desc19.putDouble(cTID('Grn '), 0);
    desc19.putDouble(cTID('Bl  '), 0);
    desc17.putObject(sTID("strokeColor"), sTID("RGBColor"), desc19);
    desc16.putObject(cTID('TxtS'), cTID('TxtS'), desc17);
    list2.putObject(cTID('Txtt'), desc16);
    var desc20 = new ActionDescriptor();
    desc20.putInteger(cTID('From'), 0);
    desc20.putInteger(cTID('T   '), 52);
    var desc21 = new ActionDescriptor();
    desc21.putBoolean(sTID("styleSheetHasParent"), true);
    desc21.putString(sTID("fontPostScriptName"), "ComicSansMS");
    desc21.putString(cTID('FntN'), "Comic Sans MS");
    desc21.putString(cTID('FntS'), "Regular");
    desc21.putInteger(cTID('Scrp'), 0);
    desc21.putInteger(cTID('FntT'), 1);
    desc21.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 65);
    desc21.putDouble(cTID('HrzS'), 100);
    desc21.putDouble(cTID('VrtS'), 100);
    desc21.putBoolean(sTID("syntheticBold"), false);
    desc21.putBoolean(sTID("syntheticItalic"), false);
    desc21.putBoolean(sTID("autoLeading"), true);
    desc21.putInteger(cTID('Trck'), 0);
    desc21.putUnitDouble(cTID('Bsln'), cTID('#Pxl'), 0);
    desc21.putEnumerated(cTID('AtKr'), cTID('AtKr'), sTID("metricsKern"));
    desc21.putEnumerated(sTID("fontCaps"), sTID("fontCaps"), cTID('Nrml'));
    desc21.putEnumerated(sTID("digitSet"), sTID("digitSet"), sTID("defaultDigits"));
    desc21.putEnumerated(sTID("kashidas"), sTID("kashidas"), sTID("kashidaDefault"));
    desc21.putUnitDouble(sTID("diacXOffset"), cTID('#Pxl'), 0);
    desc21.putUnitDouble(sTID("diacYOffset"), cTID('#Pxl'), 0);
    desc21.putUnitDouble(sTID("markYDistFromBaseline"), cTID('#Pxl'), 1.38240003585815);
    desc21.putEnumerated(sTID("baseline"), sTID("baseline"), cTID('Nrml'));
    desc21.putEnumerated(sTID("strikethrough"), sTID("strikethrough"), sTID("strikethroughOff"));
    desc21.putEnumerated(cTID('Undl'), cTID('Undl'), sTID("underlineOff"));
    desc21.putBoolean(sTID("ligature"), true);
    desc21.putBoolean(sTID("altligature"), false);
    desc21.putBoolean(sTID("contextualLigatures"), false);
    desc21.putBoolean(sTID("fractions"), false);
    desc21.putBoolean(sTID("ordinals"), false);
    desc21.putBoolean(sTID("swash"), false);
    desc21.putBoolean(sTID("titling"), false);
    desc21.putBoolean(sTID("connectionForms"), false);
    desc21.putBoolean(sTID("stylisticAlternates"), false);
    desc21.putBoolean(sTID("ornaments"), false);
    desc21.putBoolean(sTID("justificationAlternates"), false);
    desc21.putEnumerated(sTID("figureStyle"), sTID("figureStyle"), cTID('Nrml'));
    desc21.putBoolean(sTID("proportionalMetrics"), false);
    desc21.putBoolean(cTID('kana'), false);
    desc21.putBoolean(sTID("italics"), false);
    desc21.putEnumerated(sTID("baselineDirection"), sTID("baselineDirection"), sTID("withStream"));
    desc21.putEnumerated(sTID("textLanguage"), sTID("textLanguage"), sTID("englishLanguage"));
    desc21.putEnumerated(sTID("japaneseAlternate"), sTID("japaneseAlternate"), sTID("defaultForm"));
    desc21.putDouble(sTID("mojiZume"), 0);
    desc21.putEnumerated(sTID("gridAlignment"), sTID("gridAlignment"), sTID("roman"));
    desc21.putBoolean(sTID("noBreak"), false);
    var desc22 = new ActionDescriptor();
    desc22.putDouble(cTID('Rd  '), 0);
    desc22.putDouble(cTID('Grn '), 0);
    desc22.putDouble(cTID('Bl  '), 0);
    desc21.putObject(cTID('Clr '), sTID("RGBColor"), desc22);
    var desc23 = new ActionDescriptor();
    desc23.putDouble(cTID('Rd  '), 0);
    desc23.putDouble(cTID('Grn '), 0);
    desc23.putDouble(cTID('Bl  '), 0);
    desc21.putObject(sTID("strokeColor"), sTID("RGBColor"), desc23);
    desc20.putObject(cTID('TxtS'), cTID('TxtS'), desc21);
    list2.putObject(cTID('Txtt'), desc20);
    desc2.putList(cTID('Txtt'), list2);
    var list3 = new ActionList();
    var desc24 = new ActionDescriptor();
    desc24.putInteger(cTID('From'), 0);
    desc24.putInteger(cTID('T   '), 18);
    var desc25 = new ActionDescriptor();
    desc25.putBoolean(sTID("styleSheetHasParent"), true);
    desc25.putEnumerated(cTID('Algn'), cTID('Alg '), cTID('Cntr'));
    desc25.putUnitDouble(sTID("firstLineIndent"), cTID('#Pxl'), 0);
    desc25.putUnitDouble(sTID("startIndent"), cTID('#Pxl'), 0);
    desc25.putUnitDouble(sTID("endIndent"), cTID('#Pxl'), 0);
    desc25.putUnitDouble(sTID("spaceBefore"), cTID('#Pxl'), 0);
    desc25.putUnitDouble(sTID("spaceAfter"), cTID('#Pxl'), 0);
    desc25.putDouble(sTID("autoLeadingPercentage"), 1.20000004768372);
    desc25.putEnumerated(sTID("leadingType"), sTID("leadingType"), sTID("leadingBelow"));
    desc25.putEnumerated(sTID("directionType"), sTID("directionType"), sTID("dirLeftToRight"));
    desc25.putEnumerated(sTID("kashidaWidthType"), sTID("kashidaWidthType"), sTID("kashidaWidthMedium"));
    desc25.putBoolean(sTID("hyphenate"), false);
    desc25.putDouble(sTID("justificationWordMinimum"), 0.80000001192093);
    desc25.putDouble(sTID("justificationWordDesired"), 1);
    desc25.putDouble(sTID("justificationWordMaximum"), 1.33000004291534);
    desc25.putDouble(sTID("justificationLetterMinimum"), 0);
    desc25.putDouble(sTID("justificationLetterDesired"), 0);
    desc25.putDouble(sTID("justificationLetterMaximum"), 0);
    desc25.putDouble(sTID("justificationGlyphMinimum"), 1);
    desc25.putDouble(sTID("justificationGlyphDesired"), 1);
    desc25.putDouble(sTID("justificationGlyphMaximum"), 1);
    desc25.putBoolean(sTID("hangingRoman"), false);
    desc25.putEnumerated(sTID("burasagari"), sTID("burasagari"), sTID("burasagariStandard"));
    desc25.putEnumerated(sTID("preferredKinsokuOrder"), sTID("preferredKinsokuOrder"), sTID("pushIn"));
    desc25.putBoolean(sTID("textEveryLineComposer"), false);
    desc25.putEnumerated(sTID("textComposerEngine"), sTID("textComposerEngine"), sTID("textLatinCJKComposer"));
    desc24.putObject(sTID("paragraphStyle"), sTID("paragraphStyle"), desc25);
    list3.putObject(sTID("paragraphStyleRange"), desc24);
    var desc26 = new ActionDescriptor();
    desc26.putInteger(cTID('From'), 18);
    desc26.putInteger(cTID('T   '), 33);
    var desc27 = new ActionDescriptor();
    desc27.putBoolean(sTID("styleSheetHasParent"), true);
    desc27.putEnumerated(cTID('Algn'), cTID('Alg '), cTID('Cntr'));
    desc27.putUnitDouble(sTID("firstLineIndent"), cTID('#Pxl'), 0);
    desc27.putUnitDouble(sTID("startIndent"), cTID('#Pxl'), 0);
    desc27.putUnitDouble(sTID("endIndent"), cTID('#Pxl'), 0);
    desc27.putUnitDouble(sTID("spaceBefore"), cTID('#Pxl'), 0);
    desc27.putUnitDouble(sTID("spaceAfter"), cTID('#Pxl'), 0);
    desc27.putDouble(sTID("autoLeadingPercentage"), 1.20000004768372);
    desc27.putEnumerated(sTID("leadingType"), sTID("leadingType"), sTID("leadingBelow"));
    desc27.putEnumerated(sTID("directionType"), sTID("directionType"), sTID("dirLeftToRight"));
    desc27.putEnumerated(sTID("kashidaWidthType"), sTID("kashidaWidthType"), sTID("kashidaWidthMedium"));
    desc27.putBoolean(sTID("hyphenate"), false);
    desc27.putDouble(sTID("justificationWordMinimum"), 0.80000001192093);
    desc27.putDouble(sTID("justificationWordDesired"), 1);
    desc27.putDouble(sTID("justificationWordMaximum"), 1.33000004291534);
    desc27.putDouble(sTID("justificationLetterMinimum"), 0);
    desc27.putDouble(sTID("justificationLetterDesired"), 0);
    desc27.putDouble(sTID("justificationLetterMaximum"), 0);
    desc27.putDouble(sTID("justificationGlyphMinimum"), 1);
    desc27.putDouble(sTID("justificationGlyphDesired"), 1);
    desc27.putDouble(sTID("justificationGlyphMaximum"), 1);
    desc27.putBoolean(sTID("hangingRoman"), false);
    desc27.putEnumerated(sTID("burasagari"), sTID("burasagari"), sTID("burasagariStandard"));
    desc27.putEnumerated(sTID("preferredKinsokuOrder"), sTID("preferredKinsokuOrder"), sTID("pushIn"));
    desc27.putBoolean(sTID("textEveryLineComposer"), false);
    desc27.putEnumerated(sTID("textComposerEngine"), sTID("textComposerEngine"), sTID("textLatinCJKComposer"));
    desc26.putObject(sTID("paragraphStyle"), sTID("paragraphStyle"), desc27);
    list3.putObject(sTID("paragraphStyleRange"), desc26);
    var desc28 = new ActionDescriptor();
    desc28.putInteger(cTID('From'), 33);
    desc28.putInteger(cTID('T   '), 52);
    var desc29 = new ActionDescriptor();
    desc29.putBoolean(sTID("styleSheetHasParent"), true);
    desc29.putEnumerated(cTID('Algn'), cTID('Alg '), cTID('Cntr'));
    desc29.putUnitDouble(sTID("firstLineIndent"), cTID('#Pxl'), 0);
    desc29.putUnitDouble(sTID("startIndent"), cTID('#Pxl'), 0);
    desc29.putUnitDouble(sTID("endIndent"), cTID('#Pxl'), 0);
    desc29.putUnitDouble(sTID("spaceBefore"), cTID('#Pxl'), 0);
    desc29.putUnitDouble(sTID("spaceAfter"), cTID('#Pxl'), 0);
    desc29.putDouble(sTID("autoLeadingPercentage"), 1.20000004768372);
    desc29.putEnumerated(sTID("leadingType"), sTID("leadingType"), sTID("leadingBelow"));
    desc29.putEnumerated(sTID("directionType"), sTID("directionType"), sTID("dirLeftToRight"));
    desc29.putEnumerated(sTID("kashidaWidthType"), sTID("kashidaWidthType"), sTID("kashidaWidthMedium"));
    desc29.putBoolean(sTID("hyphenate"), false);
    desc29.putDouble(sTID("justificationWordMinimum"), 0.80000001192093);
    desc29.putDouble(sTID("justificationWordDesired"), 1);
    desc29.putDouble(sTID("justificationWordMaximum"), 1.33000004291534);
    desc29.putDouble(sTID("justificationLetterMinimum"), 0);
    desc29.putDouble(sTID("justificationLetterDesired"), 0);
    desc29.putDouble(sTID("justificationLetterMaximum"), 0);
    desc29.putDouble(sTID("justificationGlyphMinimum"), 1);
    desc29.putDouble(sTID("justificationGlyphDesired"), 1);
    desc29.putDouble(sTID("justificationGlyphMaximum"), 1);
    desc29.putBoolean(sTID("hangingRoman"), false);
    desc29.putEnumerated(sTID("burasagari"), sTID("burasagari"), sTID("burasagariStandard"));
    desc29.putEnumerated(sTID("preferredKinsokuOrder"), sTID("preferredKinsokuOrder"), sTID("pushIn"));
    desc29.putBoolean(sTID("textEveryLineComposer"), false);
    desc29.putEnumerated(sTID("textComposerEngine"), sTID("textComposerEngine"), sTID("textLatinCJKComposer"));
    desc28.putObject(sTID("paragraphStyle"), sTID("paragraphStyle"), desc29);
    list3.putObject(sTID("paragraphStyleRange"), desc28);
    desc2.putList(sTID("paragraphStyleRange"), list3);
    var list4 = new ActionList();
    desc2.putList(sTID("kerningRange"), list4);
    desc1.putObject(cTID('T   '), cTID('TxLr'), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Set
  function step20(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putEnumerated(cTID('Clr '), cTID('Clr '), cTID('Bl  '));
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Select
  function step21(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "Photobacks Bubble");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Set
  function step22(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Nm  '), "Speech Square");
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Set
  function step23(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putEnumerated(cTID('Clr '), cTID('Clr '), cTID('Bl  '));
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  step1();      // Make
  step2();      // Set
  step3();      // Set
  step4();      // Set
  step5();      // Align
  step6();      // Align
  step7();      // Set
  step8();      // Make
  step9();      // Select
  step10();      // Set
  step11();      // Align
  step12();      // Select
  step13();      // Set
  step14();      // Select
  step15();      // Select
  step16();      // Align
  step17();      // Select
  step18();      // Move
  step19();      // Set
  step20();      // Set
  step21();      // Select
  step22();      // Set
  step23();      // Set
};



//=========================================
//                    SpeechSquare.main
//=========================================
//

SpeechSquare.main = function () {
  SpeechSquare();
};

SpeechSquare.main();

// EOF

"SpeechSquare.jsx"
// EOF
